<?xml version="1.0" encoding="utf-8"?>
<hibernate-mapping assembly="ORM.NHibernate" namespace="ORM.NHibernate" xmlns="urn:nhibernate-mapping-2.2">
  <class name="Ustav" table="Ustav" lazy="true" >
    <id name="Id" column="Id">
      <generator class="identity" />
    </id>
    <property name="Nazev">
      <column name="Nazev" sql-type="nvarchar" not-null="true" />
    </property>
    <property name="Zkratka">
      <column name="Zkratka" sql-type="nchar" not-null="true" />
    </property>
    <bag name="Predmety">
      <key column="UstavId" />
      <one-to-many class="Predmet" />
    </bag>
    <bag name="Ucitele">
      <key column="UstavId" />
      <one-to-many class="Ucitel" />
    </bag>
  </class>
</hibernate-mapping>